import { AxiosRequestConfig, CancelTokenStatic, CancelTokenSource, AxiosPromise, AxiosInstance } from 'axios';
export declare const axiosIns: AxiosInstance;
export default class Http {
    baseUrl?: string;
    static authorizationType: number | string;
    static readonly tokenKey: string;
    cancelToken: CancelTokenStatic;
    source: CancelTokenSource;
    constructor(baseUrl?: string);
    private request;
    abort(): void;
    get(url: string, configs?: AxiosRequestConfig): AxiosPromise<any>;
    post(url: string, data?: any, configs?: AxiosRequestConfig): AxiosPromise;
    put(url: string, data?: any, configs?: AxiosRequestConfig): AxiosPromise;
    patch(url: string, data?: any, configs?: AxiosRequestConfig): AxiosPromise;
    delete(url: string, configs?: AxiosRequestConfig): AxiosPromise;
    static setToken(authorizationType: string | number, authorization: string): void;
    static setDefaultConf(configs?: AxiosRequestConfig): void;
    static setReqInterceptor(resolve?: Function, reject?: Function): void;
    static setResInterceptor(resolve?: Function, reject?: Function): void;
}
